﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ControlContainerEditor_CS
{
    public partial class RenderingControlForm : Form
    {
        #region Constructor

        public RenderingControlForm()
        {
            InitializeComponent();
        }
        #endregion //Constructor

        #region Event Handlers

        #region ultraGrid1_InitializeLayout

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.AutoFitStyle = Infragistics.Win.UltraWinGrid.AutoFitStyle.ExtendLastColumn;
            e.Layout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;            
            e.Layout.Override.RowSizing = Infragistics.Win.UltraWinGrid.RowSizing.AutoFixed;
            e.Layout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.CellSelect;
            e.Layout.Override.CellAppearance.TextVAlign = Infragistics.Win.VAlign.Middle;

            // Create the new custom editor that will render the gauge to represent the value of the cell
            TemperatureGaugeRenderer temperatureGaugeRenderer = new TemperatureGaugeRenderer(this.ultraGauge1);
            e.Layout.Bands[0].Columns["Temperature"].Editor = temperatureGaugeRenderer;            
            e.Layout.Bands[0].PerformAutoResizeColumns(false, Infragistics.Win.UltraWinGrid.PerformAutoSizeType.AllRowsInBand);
        }
        #endregion //ultraGrid1_InitializeLayout

        #endregion //Event Handlers
    }
}
