﻿using System;
using System.Collections.Generic;
using System.Text;
using Infragistics.Win.UltraWinEditors;
using Infragistics.UltraGauge.Resources;
using Infragistics.Win.UltraWinGauge;
using Infragistics.Win;

namespace ControlContainerEditor_CS
{
    class TemperatureGaugeRenderer : ControlContainerEditor
    {
        #region Private Members

        private UltraGauge gauge;
        LinearGaugeBarMarker marker;

        #endregion //Private Members

        #region Constructor

        public TemperatureGaugeRenderer(UltraGauge gauge)
        {
            this.gauge = gauge;
            this.RenderingControl = gauge;

            // Get a reference to the gauge control's marker so we can easily set the
            // temperature.
            LinearGauge linearGauge = (LinearGauge)gauge.Gauges[0];
            LinearGaugeScale scale = (LinearGaugeScale)linearGauge.Scales[0];
            this.marker = (LinearGaugeBarMarker)scale.Markers[0];
        }
        #endregion //Constructor

        #region Overrides

        #region RendererValue

        /// <summary>
        /// Overriden to get or set the value directly on the UltraGauge automatically.
        /// </summary>
        protected override object RendererValue
        {
            get
            {
                return this.marker.Value;
            }
            set
            {
                this.marker.Value = value;
            }
        }
        #endregion //RendererValue

        #endregion //Overrides
    }
}
