﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace ControlContainerEditor_CS
{
    public partial class AddressControl : UserControl
    {
        #region Members

        private Address address;

        #endregion //Members

        #region Constructor

        public AddressControl()
        {
            InitializeComponent();
        }
        #endregion //Constructor

        #region Properties

        public Address Address
        {
            get { return address; }
            set 
            {
                if (this.address == value)
                    return;

                if (this.address != null)
                    this.address.PropertyChanged -= new PropertyChangedEventHandler(address_PropertyChanged);

                address = value;
                this.UpdateUI();

                if (this.address != null)
                    this.address.PropertyChanged += new PropertyChangedEventHandler(address_PropertyChanged);
            }
        }
        #endregion //Properties

        #region Event Handlers

        void address_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            this.UpdateUI();
        }

        private void txt_TextChanged(object sender, EventArgs e)
        {
            string text = ((UltraTextEditor)sender).Text;

            if (sender == this.txtStreetAddress)
                this.address.StreetAddress = text;
            else if (sender == this.txtCity)
                this.address.City = text;
            else if (sender == this.txtState)
                this.address.State = text;
            else if (sender == this.txtZip)
                this.address.Zip = text;
        }

        #endregion //Event Handlers

        #region Methods

        private void UpdateUI()
        {
            if (this.address == null)
                this.ResetAddress();

            this.txtStreetAddress.Text = this.address.StreetAddress;
            this.txtCity.Text = this.address.City;
            this.txtState.Text = this.address.State;
            this.txtZip.Text = this.address.Zip;
            this.ultraCheckEditor1.Checked = this.address.Ok;
        }

        private void ResetAddress()
        {
            this.txtStreetAddress.Text = null;
            this.txtCity.Text = null;
            this.txtState.Text = null;
            this.txtZip.Text = null;
            this.ultraCheckEditor1.Checked = false;
        }
        #endregion //Methods

        private void ultraCheckEditor1_CheckedChanged(object sender, EventArgs e)
        {
            bool __bool = ((UltraCheckEditor)sender).Checked;

            if (__bool == this.ultraCheckEditor1.Checked)
                this.address.Ok = __bool;

        }
    }
}
